%define glib2_version 2.12.0
%define pango_version 1.19.0
%define gtk2_version 2.10.0
%define gnome_vfs2_version 2.16.0
%define libgnomeui_version 2.16.0
%define desktop_file_utils_version 0.9
%define gail_version 1.2.0
%define gtksourceview_version 2.0.0
%define pygtk_version 2.9.7
%define pygobject_version 2.11.5
%define pygtksourceview_version 2.2.0
%define gnome_python_desktop_version 2.15.90
%define gnome_doc_utils_version 0.3.2
%define gconf_version 2.14
%define enchant_version 1.2.0
%define isocodes_version 0.35

Summary:	Text editor for the GNOME desktop
Name:		gedit
Version: 	2.28.4
Release: 	3%{?dist}
Epoch:		1
License:	GPLv2+ and GFDL
Group:		Applications/Editors
Source0:	http://download.gnome.org/sources/gedit/2.28/gedit-%{version}.tar.bz2

URL:		http://projects.gnome.org/gedit/
BuildRoot:	 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):         desktop-file-utils >= %{desktop_file_utils_version}
Requires(post):		scrollkeeper >= 0.1.4
Requires(post):		GConf2 >= %{gconf_version}
Requires(pre):		GConf2 >= %{gconf_version}
Requires(preun):	GConf2 >= %{gconf_version}
Requires(postun):	scrollkeeper >= 0.1.4
Requires(postun):       desktop-file-utils >= %{desktop_file_utils_version}

# Make the file selector remember last window size
# This patch needs to go upstream
#Patch0: gedit-2.13.2-filesel.patch
%ifarch ppc64,x86_64,ia64,s390x
Patch1: gedit-2.13.90-libdir.patch
%endif

# http://bugzilla.gnome.org/show_bug.cgi?id=569214
Patch2: gedit-2.25.5-fix-python-path.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=587053
Patch3: print-to-file.patch

# update translations
# https://bugzilla.redhat.com/show_bug.cgi?id=575754
Patch4: gedit-translations.patch

BuildRequires: gnome-common
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel
BuildRequires: libSM-devel
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: enchant-devel >= %{enchant_version}
BuildRequires: iso-codes-devel >= %{isocodes_version}
BuildRequires: libattr-devel
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: gtksourceview2-devel >= %{gtksourceview_version}
BuildRequires: scrollkeeper gettext
BuildRequires: pygtk2-devel >= %{pygtk_version}
BuildRequires: pygobject2-devel >= %{pygobject_version}
BuildRequires: pygtksourceview-devel >= %{pygtksourceview_version}
BuildRequires: python-devel
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: which
BuildRequires: autoconf, automake, libtool
BuildRequires: intltool

Requires: pygtk2 >= %{pygtk_version}
Requires: pygobject2 >= %{pygtk_version}
Requires: pygtksourceview >= %{pygtksourceview_version}
Requires: gnome-python2-desktop >= %{gnome_python_desktop_version}
# the run-command plugin uses zenity
Requires: zenity

%description
gedit is a small, but powerful text editor designed specifically for
the GNOME desktop. It has most standard text editor functions and fully
supports international text in Unicode. Advanced features include syntax
highlighting and automatic indentation of source code, printing and editing
of multiple documents in one window.

gedit is extensible through a plugin system, which currently includes
support for spell checking, comparing files, viewing CVS ChangeLogs, and
adjusting indentation levels. Further plugins can be found in the
gedit-plugins package.

%package devel
Summary: Support for developing plugins for the gedit text editor
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: gtksourceview2-devel >= %{gtksourceview_version}
Requires: pygtk2-devel >= %{pygtk_version}
Requires: pkgconfig
Requires: gtk-doc

%description devel
gedit is a small, but powerful text editor for the GNOME desktop.
This package allows you to develop plugins that add new functionality
to gedit.

Install gedit-devel if you want to write plugins for gedit.

%prep
%setup -n gedit-%{version} -q

%ifarch ppc64,x86_64,ia64,s390x
%patch1 -p1 -b .libdir
%endif

%patch2 -p1 -b .fix-python-path
%patch3 -p1 -b .print-to-file
%patch4 -p1 -b .translations

autoreconf -f -i

%build
%configure \
	--disable-scrollkeeper \
	--disable-gtk-doc \
	--enable-python
make

# strip unneeded translations from .mo files
# ideally intltool (ha!) would do that for us
# http://bugzilla.gnome.org/show_bug.cgi?id=474987
cd po
grep -v ".*[.]desktop[.]in.*\|.*[.]server[.]in[.]in$" POTFILES.in > POTFILES.keep
mv POTFILES.keep POTFILES.in
intltool-update --pot
for p in *.po; do
  msgmerge $p %{name}.pot > $p.out
  msgfmt -o `basename $p .po`.gmo $p.out
done
cd ..

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --delete-original       	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

## clean up all the static libs for plugins (workaround for no -module)
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins -name "*.a"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins -name "*.la"`

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gedit.schemas > /dev/null || :

# update icon themes
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gedit.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gedit.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS
%{_datadir}/gedit-2
%{_datadir}/applications/gedit.desktop
%{_mandir}/man1/*
%{_libdir}/gedit-2
%{_libexecdir}/gedit-2
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*


%files devel
%defattr(-, root, root)
%{_includedir}/gedit-2.20
%{_libdir}/pkgconfig/gedit-2.20.pc
%{_datadir}/gtk-doc/html/gedit/



%changelog

